#include <termios.h> 
#include <unistd.h> 
#include <stdio.h>

int main(int argc, char const *argv[])
{
	int ttyZariadenie = STDIN_FILENO;
	struct termios term_old, term_new;
	char buffer[10]; 
  int nacitane;

  if (tcgetattr(ttyZariadenie, &term_old) != 0)
    perror("tcgetattr error");
  else {
   	term_new = term_old;
    //vypnutie echa a nastavenie nekanonického režimu
    term_new.c_lflag &= ~( ICANON | ECHO );
    //DOPLNTE nastavenie počtu bajtov, po ktorom sa spusti read
    
   	tcsetattr(ttyZariadenie, TCSANOW, &term_new); 
    while(1){
      nacitane = read(ttyZariadenie, &buffer, 255);              
      //ukončenie načítavania C + d */
      if (buffer[0] == '\004')          
    	 break;
      else{
        //zapísanie do druhého terminálu
    	 write(ttyZariadenie, &buffer, nacitane);
      }		
    }     
    tcsetattr(ttyZariadenie, TCSANOW, &term_old);
    printf("\nobnovené pôvodné nastavenia\n");
  }

	return 0;
}